Andy's PHP Knowledgebase 's' Parameter SQL Injection Vulnerability

Published: 2011-03-31 15:03:50
CVE Author: NIST National Vulnerability Database (NVD)

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Recommendations:
Updates are available. Please contact the vendor for more information.

Summary:
Andy's PHP Knowledgebase is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Impact:
Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

Affected Versions:
Andy's PHP Knowledgebase 0.95.2 is vulnerable. Other versions may also be affected.

Detection Type:
Remote Vulnerability

Solution Type:
Vendor Patch

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2011-1546

SecurityFocus Bugtraq ID:

https://www.securityfocus.com/bid/47097

References:

https://www.securityfocus.com/bid/47097
http://aphpkb.sourceforge.net/

Search
Severity
High
CVSS Score
7.5

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.